1. V3 - Transaction
Cresium
  • Cresium - V3 Partners
    • API
      • Auth Information for V3 API Partners
      • V3 - Health
        • Health check
      • V3 - Transaction
        • Get Transaction data
          GET
        • Search transactions
          GET
        • Make a transfer
          POST
        • Confirm a transaction
          PUT
        • Reverse a deposit transaction
          POST
        • Get transaction receipt
          GET
      • V3 - BankAddress
        • Get Address
      • V3 - CompanyFeature
        • Get Company Features
        • Update Feature Enabled State
      • V3 - Rate
        • Get TNA rate
      • V3 - DepositAddress
        • Update Deposit Address
        • Create Deposit Address
      • V3 - Invoice
        • Create Invoices
        • Read Invoices
      • V3 - Partner
        • Search partner transactions
      • V3 - User Address
        • Create or get User Address
      • V3 - Auth
        • V3 - Balance
          • Get all wallets for Company
        • Generate change password ID for partner user
      • V3 - CompanyTax
        • Upsert Company Tax
      • V3 - Signature Request
        • Create Signature Request
        • Update Signature Request
      • V3 - Payment
        • Create Payments
        • Read Payments
      • Webhooks
        • Auth Information for Webhooks
        • Transactions Events Examples - DEPOSIT
  1. V3 - Transaction

Reverse a deposit transaction

POST
/v3/transaction/reverse
Revierte (devuelve) un deposito recibido previamente.

Caso de uso#

Cuando se recibe un deposito por error o se necesita devolver fondos al remitente,
este endpoint crea una transaccion de retiro hacia la cuenta de origen.

Body Parameters#

CampoTipoRequeridoDescripcion
transactionIdnumberSiID de la transaccion DEPOSIT a revertir
amountstringNoMonto a devolver. Si no se especifica, devuelve el monto total

Validaciones#

La transaccion original debe ser de tipo DEPOSIT
La transaccion debe estar en estado SUCCESS
El monto a devolver no puede exceder el monto original
La company debe ser la duena de la transaccion original

Flujo#

1.
Se valida la transaccion original
2.
Se crea una nueva transaccion de tipo WITHDRAWAL hacia la cuenta de origen
3.
La nueva transaccion queda en estado PREVIEW
4.
Debe confirmarse con PUT /v3/transaction/confirm/{id} o crear una Signature Request

Respuesta#

{
  "transaction": { ... },
  "requires2FA": false
}

Errores posibles#

INVALID_TRANSACTION: La transaccion no es un deposito o no esta en SUCCESS
INVALID_AMOUNT: El monto excede el monto original
NOT_OWNER: La company no es duena de la transaccion

Request

Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Successful response
Body

🟠400Bad Request
🟠401Unauthorized
🔴500Internal Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.develop.cresium.app/v3/transaction/reverse' \
--header 'Content-Type: application/json' \
--data-raw '{
    "transactionId": 0,
    "amount": "string"
}'
Response Response Example
200 - Example 1
{
    "data": {
        "transaction": {
            "id": 0,
            "type": "DEPOSIT",
            "status": "PREVIEW",
            "externalId": "string",
            "currencyId": 0,
            "currency": {
                "symbol": "string",
                "code": "ARS",
                "image": "string",
                "decimals": 0
            },
            "fromId": 0,
            "toId": 0,
            "from": {
                "id": 0,
                "type": "CVU",
                "value": "string",
                "bankName": "string",
                "ownerName": "string",
                "img": "string",
                "uuid": "string"
            },
            "to": {
                "id": 0,
                "type": "CVU",
                "value": "string",
                "bankName": "string",
                "ownerName": "string",
                "img": "string",
                "uuid": "string"
            },
            "companyId": 0,
            "collaboratorId": 0,
            "collaborator": {
                "id": 0,
                "firstName": "string",
                "lastName": "string",
                "image": "string",
                "email": "string",
                "role": "OWNER",
                "phone": "string",
                "birthDate": "2019-08-24T14:15:22.123Z",
                "status": "CREATED"
            },
            "walletId": 0,
            "tag": "RENTAL",
            "createdAt": "2019-08-24T14:15:22.123Z",
            "updatedAt": "2019-08-24T14:15:22.123Z",
            "processedAt": "2019-08-24T14:15:22.123Z",
            "totalAmount": 0,
            "netAmount": 0,
            "bulkTransactionId": 0,
            "amounts": [
                {
                    "id": 0,
                    "transactionId": 0,
                    "type": "FEE",
                    "amount": 0,
                    "key": "string"
                }
            ],
            "recipients": [
                {
                    "type": "EMAIL",
                    "value": "string"
                }
            ],
            "billPayment": {
                "companyName": "string",
                "debtIdentifier": "string",
                "expirationDate": "string"
            },
            "sendingDate": "2019-08-24T14:15:22.123Z",
            "depositAddress": {
                "id": 0,
                "type": "CVU",
                "value": "string",
                "externalId": "string",
                "currencyId": 0,
                "currency": {
                    "symbol": "string",
                    "code": "ARS",
                    "image": "string",
                    "decimals": 0
                },
                "bankProvider": {
                    "name": "BIND",
                    "img": "string"
                },
                "wallet": {
                    "id": 0,
                    "balance": 0,
                    "lockedBalance": 0,
                    "investedBalance": 0,
                    "availableBalance": 0,
                    "currency": {
                        "symbol": "string",
                        "code": "ARS",
                        "image": "string",
                        "decimals": 0
                    },
                    "companyId": 0
                },
                "hasEcheqs": true
            },
            "description": "string",
            "rawData": null
        },
        "requires2FA": true
    }
}
Modified at 2026-02-20 14:08:41
Previous
Confirm a transaction
Next
Get transaction receipt
Built with